Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.xs
Interface ShortList

public interface ShortList

The `ShortList` is an immutable ordered collection of `unsigned short`.

Method Summary
`boolean` | `contains(short item)` Checks if the `unsigned short` `item` is a member of this list.
`int` | `getLength()` The number of `unsigned short`s in the list.
`short` | `item(int index)` Returns the `index`th item in the collection.

Method Detail

### getLength

    public int getLength()

  The number of `unsigned short`s in the list. The range of valid child object indices is 0 to `length-1` inclusive.

### contains

    public boolean contains(short item)

  Checks if the `unsigned short` `item` is a member of this list.
  Parameters:
    `item` - `unsigned short` whose presence in this list is to be tested.
  Returns:
    True if this list contains the `unsigned short` `item`.

### item

    public short item(int index)
               throws XSException

  Returns the `index`th item in the collection. The index starts at 0.
  Parameters:
    `index` - index into the collection.
  Returns:
    The `unsigned short` at the `index`th position in the `ShortList`.
  Throws:
    `XSException` - INDEX_SIZE_ERR: if `index` is greater than or equal to the number of objects in the list.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.